#include <stdlib.h>
#include "linsez.h"

cLinSez::cLinSez ()
{
  vrh=new cElement;
  vrh->naslednji=NULL;
}

cLinSez::~cLinSez ()
{
  cElement *el;

  while (vrh!=NULL) {
    el=vrh;
    vrh=vrh->naslednji;
    delete el;
  }
}

void cLinSez::dodaj (cElement *novi)
{
  novi->naslednji=vrh->naslednji;
  vrh->naslednji=novi;
}

void cLinSez::brisiNasl (cElement *trenutni)
{
  cElement *el;

  el=trenutni->naslednji;
  trenutni->naslednji=el->naslednji;
  delete el;
}

void cLinSez::brisiVseb ()
{
  cElement *el;

  el=vrh->naslednji;
  while (el!=NULL) {
    delete el->vsebina;
    el=el->naslednji;
  }
}