#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <fstream.h>
#include "graf.h"

void cGraf::beri (char imeDat [50])
{
  cVozlisce *voz;
  cElement *el1, *el2, *el3;
  ifstream dat (imeDat);
  char vrsta [100], *niz, *podNiz;
  int n, neAN;

  while (!dat.eof ()) {
    dat.getline (vrsta, 100);
    voz=new cVozlisce;
    el1=new cElement;
    el1->vsebina=voz;
    vsa->dodaj (el1);
    niz=strtok (vrsta, ";");
    if ((niz!=NULL) && (strlen (niz)>3)) {
      cout<<"KRITICNA NAPAKA: oznaka "<<niz<<" je predolga.\n";
      napaka=1;
      return;
    }
    if ((niz!=NULL) && (strlen (niz)<3)) cout<<"NEKRITICNA NAPAKA: oznaka "<<niz<<" je prekratka.\n";
    neAN=0;
    if (niz!=NULL) for (n=0; n<strlen (niz); n++) if ((isalnum (niz [n])==0) && (niz [n]!='.')) neAN=1;
    if (neAN==1) cout<<"NEKRITICNA NAPAKA: oznaka "<<niz<<" vsebuje nealfanumericne znake.\n";
    strcpy (voz->id, niz);
    niz=strtok (NULL, ";");
    strcpy (voz->opis, niz);
    niz=strtok (NULL, ";");
    voz->traj=atoi (niz);
    niz=strtok (NULL, "\n");
    podNiz=strtok (niz, ",");
    if ((podNiz!=NULL) && (strlen (podNiz)>3)) {
      cout<<"KRITICNA NAPAKA: oznaka "<<podNiz<<" je predolga.\n";
      napaka=1;
      return;
    }
    voz->stPredh=0;
    if (podNiz!=NULL) {
      strcpy (voz->predh [voz->stPredh], podNiz);
      voz->stPredh++;
    }
    while (podNiz!=NULL) {
      podNiz=strtok (NULL, ",");
      if (strlen (podNiz)>3) {
	cout<<"KRITICNA NAPAKA: oznaka "<<podNiz<<" je predolga.\n";
	napaka=1;
	return;
      }
      if (podNiz!=NULL) {
	strcpy (voz->predh [voz->stPredh], podNiz);
	voz->stPredh++;
      }
    }
  }
  el1=vsa->vrh->naslednji;
  while (el1!=NULL) {
    if (((cVozlisce *) el1->vsebina)->oznaka!=1) {
      el2=vsa->vrh->naslednji;
      while (el2!=NULL) {
	if ((strcmp (((cVozlisce *) el1->vsebina)->id, ((cVozlisce *) el2->vsebina)->id)==0) && (el1!=el2)) {
	  ((cVozlisce *) el2->vsebina)->oznaka=1;
	  cout<<"KRITICNA NAPAKA: 2 aktivnosti imata oznako "<<((cVozlisce *) el1->vsebina)->id<<".\n";
	  napaka=1;
	}
	el2=el2->naslednji;
      }
    }
    el1=el1->naslednji;
  }
  if (napaka==1) return;
  el1=vsa->vrh->naslednji;
  while (el1!=NULL) {
    if (((cVozlisce *) el1->vsebina)->stPredh==0) {
      el2=new cElement;
      el2->vsebina=el1->vsebina;
      ((cVozlisce *) el2->vsebina)->oznaka=1;
      zacetna->dodaj (el2);
    }
    el1=el1->naslednji;
  }
  el1=vsa->vrh->naslednji;
  while (el1!=NULL) {
    if (((cVozlisce*) el1->vsebina)->oznaka!=1) {
      el2=vsa->vrh->naslednji;
      while (el2!=NULL) {
	for (n=0; n<((cVozlisce *) el1->vsebina)->stPredh; n++)
	  if (strcmp (((cVozlisce *) el1->vsebina)->predh [n], ((cVozlisce *) el2->vsebina)->id)==0) {
	    el3=new cElement;
	    el3->vsebina=el1->vsebina;
	    ((cVozlisce *) el3->vsebina)->oznaka=1;
	    ((cVozlisce *) el2->vsebina)->nasledniki->dodaj (el3);
	    ((cVozlisce *) el2->vsebina)->stNasl++;
	    el3=new cElement;
	    el3->vsebina=el2->vsebina;
	    ((cVozlisce *) ((cVozlisce *) el2->vsebina)->nasledniki->vrh->naslednji->vsebina)->predhodniki->dodaj (el3);
	  }
	el2=el2->naslednji;
      }
    }
    el1=el1->naslednji;
  }
}