#include <iostream.h>
#include "graf.h"

cLinSez *cikel;
int st=0;

void dft (cVozlisce *trenutno)
{
  cElement *el1, *el2;

  trenutno->oznaka=2;
  el1=trenutno->nasledniki->vrh->naslednji;
  while (el1!=NULL) {
    if (((cVozlisce *) el1->vsebina)->oznaka!=2) {
      dft ((cVozlisce *) el1->vsebina);
      el2=new cElement;
      el2->vsebina=el1->vsebina;
      trenutno->vDrev->dodaj (el2);
    } else {
      el2=new cElement;
      el2->vsebina=el1->vsebina;
      trenutno->niVDrev->dodaj (el2);
    }
    el1=el1->naslednji;
  }
  st++;
  trenutno->st=st;
}

int isciCikel (cVozlisce *trenutno, cVozlisce *zacetno)
{
  cElement *el1, *el2;

  el1=trenutno->vDrev->vrh->naslednji;
  while (el1!=NULL) {
    if ((el1->vsebina==zacetno) || (isciCikel ((cVozlisce *) el1->vsebina, zacetno)!=0)) {
      el2=new cElement;
      el2->vsebina=trenutno;
      cikel->dodaj (el2);
      return (1);
    }
    el1=el1->naslednji;
  }
  return (0);
}

void cGraf::cikli ()
{
  cElement *el1, *el2, *el3;

  el1=vsa->vrh->naslednji;
  while (el1!=NULL)
  {
    if (((cVozlisce *) el1->vsebina)->oznaka!=2) {
      dft ((cVozlisce *) el1->vsebina);
    }
    el1=el1->naslednji;
  }
  el1=vsa->vrh->naslednji;
  while (el1!=NULL)
  {
    el2=((cVozlisce *) el1->vsebina)->niVDrev->vrh->naslednji;
    while (el2!=NULL) {
      if (((cVozlisce *) el2->vsebina)->st>=((cVozlisce *) el1->vsebina)->st) {
	cikel=new cLinSez;
	el3=new cElement;
	el3->vsebina=el1->vsebina;
	cikel->dodaj (el3);
	isciCikel ((cVozlisce *) el2->vsebina, (cVozlisce *) el1->vsebina);
	cout<<"KRITICNA NAPAKA: graf vsebuje cikel ";
	el3=cikel->vrh->naslednji;
	while (el3!=NULL) {
	  cout<<((cVozlisce *) el3->vsebina)->id;
	  if (el3->naslednji!=NULL) cout<<", "; else cout<<".\n";
	  el3=el3->naslednji;
	}
	delete cikel;
	napaka=1;
      }
      el2=el2->naslednji;
    }
    el1=el1->naslednji;
  }
}

int isciNazaj (cVozlisce *odKod, cVozlisce *doKam)
{
  cElement *el;
  el=odKod->predhodniki->vrh->naslednji;
  while (el!=NULL) {
    if (el->vsebina==doKam) return 1; else if (isciNazaj ((cVozlisce *) el->vsebina, doKam)==1) return 1;
    el=el->naslednji;
  }
  return 0;
}

void cGraf::tranzitivne ()
{
  cElement *el1, *el2, *el3;
  int tranz;

  el1=vsa->vrh->naslednji;
  while (el1!=NULL) {
    el2=((cVozlisce *) el1->vsebina)->nasledniki->vrh;
    while (el2->naslednji!=NULL) {
      tranz=0;
      el3=((cVozlisce *) el2->naslednji->vsebina)->predhodniki->vrh->naslednji;
      while (el3!=NULL) {
	if (el3->vsebina!=el1->vsebina)
	  if (isciNazaj ((cVozlisce *) el3->vsebina, (cVozlisce *) el1->vsebina)==1) {
	    tranz=1;
	    break;
	  }
	el3=el3->naslednji;
      }
      if (tranz==1) {
	cout<<"NEKRITICNA NAPAKA: graf vsebuje tranzitivno povezavo "<<((cVozlisce *) el1->vsebina)->id<<", "<<((cVozlisce *) el2->naslednji->vsebina)->id<<".\n";
	((cVozlisce *) el1->vsebina)->nasledniki->brisiNasl (el2);
      } else el2=el2->naslednji;
    }
    el1=el1->naslednji;
  }
}

void zgodnji (cVozlisce *trenutni, int doZdaj, cLinSez *koncna)
{
  cElement *el1, *el2;

  if (trenutni->zgodZac<doZdaj) trenutni->zgodZac=doZdaj;
  el1=trenutni->nasledniki->vrh->naslednji;
  if (el1==NULL) {
    el2=new cElement;
    el2->vsebina=trenutni;
    koncna->dodaj (el2);
  } else
    while (el1!=NULL) {
      zgodnji ((cVozlisce *) el1->vsebina, doZdaj+trenutni->traj, koncna);
      el1=el1->naslednji;
    }
}

void pozni (cVozlisce *trenutni, int doZdaj)
{
  cElement *el;

  if (trenutni->pozZac>doZdaj-trenutni->traj) trenutni->pozZac=doZdaj-trenutni->traj;
  el=trenutni->predhodniki->vrh->naslednji;
  while (el!=NULL) {
    pozni ((cVozlisce *) el->vsebina, trenutni->pozZac);
    el=el->naslednji;
  }
}

void cGraf::casi ()
{
  cElement *el1, *el2, *el3;

  el1=zacetna->vrh->naslednji;
  while (el1!=NULL) {
    zgodnji ((cVozlisce *) el1->vsebina, 0, koncna);
    el1=el1->naslednji;
  }
  el1=koncna->vrh->naslednji;
  while (el1!=NULL) {
    if (((cVozlisce *) el1->vsebina)->zgodZac+((cVozlisce *) el1->vsebina)->traj>dolzina) dolzina=((cVozlisce *) el1->vsebina)->zgodZac+((cVozlisce *) el1->vsebina)->traj;
    el1=el1->naslednji;
  }
  el1=koncna->vrh->naslednji;
  while (el1!=NULL) {
    pozni ((cVozlisce *) el1->vsebina, dolzina);
    el1=el1->naslednji;
  }
  el1=vsa->vrh;
  while (el1->naslednji!=NULL) {
    el2=el1->naslednji;
    while (el2->naslednji!=NULL)
      if (((cVozlisce *) el2->naslednji->vsebina)->zgodZac<((cVozlisce *) el1->naslednji->vsebina)->zgodZac) {
	el3=el2->naslednji;
	el2->naslednji=el2->naslednji->naslednji;
	el3->naslednji=el1->naslednji;
	el1->naslednji=el3;
      } else el2=el2->naslednji;
    el1=el1->naslednji;
  }
}